actions: []
api_documentation: http://docs.ros.org/hydro/api/r2_msgs/html
authors: ''
brief: ''
bugtracker: ''
depends:
- catkin
- message_runtime
- std_msgs
- geometry_msgs
- visualization_msgs
- message_generation
depends_on:
- rosjava_messages
- nasa_r2_common
description: Messages for dealing with the Robonaut2/ISS Taskboard
doc_job: doc-hydro-nasa_r2_common
has_changelog_rst: false
license: BSD
maintainer_status: maintained
maintainers: Stephen Hart <stephen.hart@nasa.gov>, David V. Lu!! <davidvlu@gmail.com>
metapackages:
- nasa_r2_common
msgs:
- PDMCStatus
- PoseCommandArray
- TorsoStatus
- JointControl
- PoseCommandParams
- Gains
- JointStatusArray
- JointStatus
- PoseCommandStatus
- PoseTwistStamped
- PoseCommand
package_type: package
release_jobs:
- ros-hydro-r2-msgs_sourcedeb
- ros-hydro-r2-msgs_binarydeb_precise_amd64
- ros-hydro-r2-msgs_binarydeb_precise_i386
- ros-hydro-r2-msgs_binarydeb_quantal_amd64
- ros-hydro-r2-msgs_binarydeb_quantal_i386
- ros-hydro-r2-msgs_binarydeb_raring_amd64
- ros-hydro-r2-msgs_binarydeb_raring_i386
repo_name: nasa_r2_common
repo_url: ''
srvs:
- Servo
- ResetTableScene
- Power
- SetTipName
- TakeSnapshot
- SetJointMode
- ParseTableScene
timestamp: 1440762223.512738
url: http://ros.org/wiki/r2_msgs
vcs: git
vcs_uri: https://github.com/DLu/nasa_r2_common.git
vcs_version: hydro
